Error in installing Make-4.2.1

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Error in installing Make-4.2.1

Prasanth .
Hi,

I've tried to install Make-4.2.1 in my computer (Windows 7, 64 bit).

But I'm getting error message. Please kindly help me to install this softwares.

Also kindly find the attached config.log file.

Regards,

Prasanth
Research Assistant, ARFI Project
Earth Environment &
Solar Terrestrial Physics Lab.
Dept of Physics
Tripura University

_______________________________________________
Bug-make mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/bug-make

config.log (13K) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in installing Make-4.2.1

Eli Zaretskii
> From: "Prasanth ." <[hidden email]>
> Date: Wed, 28 Jun 2017 17:58:07 +0530
>
> I've tried to install Make-4.2.1 in my computer (Windows 7, 64 bit).
>
> But I'm getting error message. Please kindly help me to install this softwares.

It looks like your C compiler is somehow misconfigured:

> configure:3149: checking for gcc
> configure:3165: found /usr/bin/gcc
> configure:3176: result: gcc
> configure:3405: checking for C compiler version
> configure:3414: gcc --version >&5
> gcc (GCC) 5.4.0
> Copyright (C) 2015 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> [...]
> configure:3445: checking whether the C compiler works
> configure:3467: gcc    conftest.c  >&5
> configure:3471: $? = 1
> configure:3509: result: no
> configure: failed program was:
> | /* confdefs.h */
> | #define PACKAGE_NAME "GNU make"
> | #define PACKAGE_TARNAME "make"
> | #define PACKAGE_VERSION "4.2.1"
> | #define PACKAGE_STRING "GNU make 4.2.1"
> | #define PACKAGE_BUGREPORT "[hidden email]"
> | #define PACKAGE_URL "http://www.gnu.org/software/make/"
> | #define PACKAGE "make"
> | #define VERSION "4.2.1"
> | /* end confdefs.h.  */
> |
> | int
> | main ()
> | {
> |
> |   ;
> |   return 0;
> | }
> configure:3514: error: in `/cygdrive/d/Software/make-4.2.1':
> configure:3516: error: C compiler cannot create executables

GCC exists, but cannot create executable programs.

_______________________________________________
Bug-make mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/bug-make
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error in installing Make-4.2.1

Prasanth .
Hello Eli Zaretskii,

Thanks for your quick response.

I wish to mention that everything working fine now.

Regards,

Prasanth
Research Assistant, ARFI Project
Earth Environment &
Solar Terrestrial Physics Lab.
Dept of Physics
Tripura University

On Wed, Jun 28, 2017 at 9:49 PM, Eli Zaretskii <[hidden email]> wrote:
> From: "Prasanth ." <[hidden email]>
> Date: Wed, 28 Jun 2017 17:58:07 +0530
>
> I've tried to install Make-4.2.1 in my computer (Windows 7, 64 bit).
>
> But I'm getting error message. Please kindly help me to install this softwares.

It looks like your C compiler is somehow misconfigured:

> configure:3149: checking for gcc
> configure:3165: found /usr/bin/gcc
> configure:3176: result: gcc
> configure:3405: checking for C compiler version
> configure:3414: gcc --version >&5
> gcc (GCC) 5.4.0
> Copyright (C) 2015 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> [...]
> configure:3445: checking whether the C compiler works
> configure:3467: gcc    conftest.c  >&5
> configure:3471: $? = 1
> configure:3509: result: no
> configure: failed program was:
> | /* confdefs.h */
> | #define PACKAGE_NAME "GNU make"
> | #define PACKAGE_TARNAME "make"
> | #define PACKAGE_VERSION "4.2.1"
> | #define PACKAGE_STRING "GNU make 4.2.1"
> | #define PACKAGE_BUGREPORT "[hidden email]"
> | #define PACKAGE_URL "http://www.gnu.org/software/make/"
> | #define PACKAGE "make"
> | #define VERSION "4.2.1"
> | /* end confdefs.h.  */
> |
> | int
> | main ()
> | {
> |
> |   ;
> |   return 0;
> | }
> configure:3514: error: in `/cygdrive/d/Software/make-4.2.1':
> configure:3516: error: C compiler cannot create executables

GCC exists, but cannot create executable programs.


_______________________________________________
Bug-make mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/bug-make
Loading...